if [[ -r "${XDG_CACHE_HOME:-$HOME/.cache}/p10k-instant-prompt-${(%):-%n}.zsh" ]]; then
  source "${XDG_CACHE_HOME:-$HOME/.cache}/p10k-instant-prompt-${(%):-%n}.zsh"
fi


source $(brew --prefix)/share/powerlevel10k/powerlevel10k.zsh-theme
source ~/.zprofile
autoload -Uz compinit
compinit

# If you come from bash you might have to change your $PATH.
# export PATH=$HOME/bin:$HOME/.local/bin:/usr/local/bin:$PATH

# Path to your Oh My Zsh installation.
export ZSH="$HOME/.oh-my-zsh"
ZSH_THEME="robbyrussell"

plugins=(
  git 
  sd
  fzf
  zsh-autosuggestions
  direnv
)

#            _
#  _____ __ | |_   _  __ _
# |_  / '_ \| | | | |/ _` |
#  / /| |_) | | |_| | (_| |
# /___| .__/|_|\__,_|\__, |
#     |_|            |___/
#
# # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # 
export ZPLUG_HOME=/opt/homebrew/opt/zplug
source $ZPLUG_HOME/init.zsh

zplug 'ytet5uy4/fzf-widgets'
zplug 'zsh-users/zaw'
zplug 'voronkovich/project.plugin.zsh'
zplug "jocelynmallon/zshmarks"
zplug "zpm-zsh/clipboard"
zplug "kazhala/dotbare"
zplug "lincheney/fzf-tab-completion"

zplug load

source $HOME/.oh-my-zsh/custom/plugins/fzf-tab-completion/zsh/fzf-zsh-completion.sh

# autocomplete on steroids
zstyle ':completion:*' fzf-search-display true
zstyle ':completion::*:cd::*' fzf-cd-widget
zstyle ':completion::*:ls::*' fzf-completion-opts --preview='eval head {1}'
zstyle ':completion::*:cat::*' fzf-completion-opts --preview='eval head {1}'


# Map widgets to key
bindkey '^ge' fzf-select-widget
bindkey '^@.' fzf-edit-dotfiles
bindkey '^@c' fzf-change-directory
bindkey '^@n' fzf-change-named-directory
bindkey '^@f' fzf-edit-files
bindkey '^@k' fzf-kill-processes
bindkey '^gs' fzf-exec-ssh
bindkey '^/'  fzf-change-recent-directory
bindkey '^r'  fzf-insert-history
bindkey '^xf' fzf-insert-files
bindkey '^xd' fzf-insert-directory
bindkey '^xn' fzf-insert-named-directory

## Git
bindkey '^@g'  fzf-select-git-widget
bindkey '^@ga' fzf-git-add-files
bindkey '^@gc' fzf-git-change-repository

# GitHub
bindkey '^@h'  fzf-select-github-widget
bindkey '^@hs' fzf-github-show-issue
bindkey '^@hc' fzf-github-close-issue

## Docker
bindkey '^@d'  fzf-select-docker-widget
bindkey '^@dc' fzf-docker-remove-containers
bindkey '^@di' fzf-docker-remove-images
bindkey '^@dv' fzf-docker-remove-volumes

zplug load

#   ___  _ __ ___  ____
#  / _ \| '_ ` _ \|_  /
# | (_) | | | | | |/ /
#  \___/|_| |_| |_/___| L O A D
# # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # 
source $ZSH/oh-my-zsh.sh

[[ ! -f ~/.p10k.zsh ]] || source ~/.p10k.zsh


autoload bashcompinit
bashcompinit

# Default aliases
alias vim="nvim"
alias j="jump" 
alias b="bookmark"
alias ls="lsd"
alias y="yazi"

eval "$(/opt/homebrew/bin/brew shellenv)"

# Add Visual Studio Code (code)
export PATH="$PATH:/Applications/Visual Studio Code.app/Contents/Resources/app/bin"
export PATH="$PATH:$HOME/tools/git-scripts"
export EDITOR=nvim

# Added by LM Studio CLI (lms)
export PATH="$PATH:/Users/paramah/.lmstudio/bin"
